USB_COMPOSITE_SETUP_(9)

NAME
usb_composite_setup_continue - Continue with the control transfer

SYNOPSIS

void usb_composite_setup_continue(struct usb_composite_dev * cdev);

ARGUMENTS

cdev
    the composite device who's control transfer was kept waiting

DESCRIPTION

This function must be called by the USB function driver to continue with the control transfer's data/status stage in case it had requested to delay the data/status stages. A USB function's setup handler (e.g. set_alt) can request the composite framework to delay the setup request's data/status stages by returning USB_GADGET_DELAYED_STATUS.

AUTHOR

David Brownell <dbrownell@users.sourceforge.net>
    Author.

COPYRIGHT